# Interface methods for submodule: GeometricalQuadEdge
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import QuadEdgeProxy as _QuadEdgeProxy


# Interface methods for class: GeometricalQuadEdge
class GeometricalQuadEdgeProxy(_QuadEdgeProxy):
	def BeginGeomOnext(self):
		""""""
		...

	def EndGeomOnext(self):
		""""""
		...

	def BeginGeomSym(self):
		""""""
		...

	def EndGeomSym(self):
		""""""
		...

	def BeginGeomLnext(self):
		""""""
		...

	def EndGeomLnext(self):
		""""""
		...

	def BeginGeomRnext(self):
		""""""
		...

	def EndGeomRnext(self):
		""""""
		...

	def BeginGeomDnext(self):
		""""""
		...

	def EndGeomDnext(self):
		""""""
		...

	def BeginGeomOprev(self):
		""""""
		...

	def EndGeomOprev(self):
		""""""
		...

	def BeginGeomLprev(self):
		""""""
		...

	def EndGeomLprev(self):
		""""""
		...

	def BeginGeomRprev(self):
		""""""
		...

	def EndGeomRprev(self):
		""""""
		...

	def BeginGeomDprev(self):
		""""""
		...

	def EndGeomDprev(self):
		""""""
		...

	def BeginGeomInvOnext(self):
		""""""
		...

	def EndGeomInvOnext(self):
		""""""
		...

	def BeginGeomInvLnext(self):
		""""""
		...

	def EndGeomInvLnext(self):
		""""""
		...

	def BeginGeomInvRnext(self):
		""""""
		...

	def EndGeomInvRnext(self):
		""""""
		...

	def BeginGeomInvDnext(self):
		""""""
		...

	def EndGeomInvDnext(self):
		""""""
		...

	def GetOnext(self):
		""""""
		...

	def GetRot(self):
		""""""
		...

	def GetSym(self):
		""""""
		...

	def GetLnext(self):
		""""""
		...

	def GetRnext(self):
		""""""
		...

	def GetDnext(self):
		""""""
		...

	def GetOprev(self):
		""""""
		...

	def GetLprev(self):
		""""""
		...

	def GetRprev(self):
		""""""
		...

	def GetDprev(self):
		""""""
		...

	def GetInvRot(self):
		""""""
		...

	def GetInvOnext(self):
		""""""
		...

	def GetInvLnext(self):
		""""""
		...

	def GetInvRnext(self):
		""""""
		...

	def GetInvDnext(self):
		""""""
		...

	def SetOrigin(self, v: int) -> None:
		""""""
		...

	def SetDestination(self, v: int) -> None:
		""""""
		...

	def SetRight(self, v: int) -> None:
		""""""
		...

	def SetLeft(self, v: int) -> None:
		""""""
		...

	def SetLnextRingWithSameLeftFace(self, faceGeom: int, maxSize: int = 100) -> bool:
		""""""
		...

	def UnsetOrigin(self) -> None:
		""""""
		...

	def UnsetDestination(self) -> None:
		""""""
		...

	def UnsetRight(self) -> None:
		""""""
		...

	def UnsetLeft(self) -> None:
		""""""
		...

	def GetOrigin(self) -> int:
		""""""
		...

	def GetDestination(self) -> int:
		""""""
		...

	def GetRight(self) -> int:
		""""""
		...

	def GetLeft(self) -> int:
		""""""
		...

	def IsOriginSet(self) -> bool:
		""""""
		...

	def IsDestinationSet(self) -> bool:
		""""""
		...

	def IsRightSet(self) -> bool:
		""""""
		...

	def IsLeftSet(self) -> bool:
		""""""
		...

	@overload
	def SetPrimalData(self, data: bool) -> None:
		""""""
		...

	@overload
	def SetPrimalData(self) -> None:
		""""""
		...

	@overload
	def SetDualData(self, data: bool) -> None:
		""""""
		...

	@overload
	def SetDualData(self) -> None:
		""""""
		...

	def UnsetPrimalData(self) -> None:
		""""""
		...

	def UnsetDualData(self) -> None:
		""""""
		...

	def GetPrimalData(self) -> bool:
		""""""
		...

	def GetDualData(self) -> bool:
		""""""
		...

	def IsPrimalDataSet(self) -> bool:
		""""""
		...

	def IsDualDataSet(self) -> bool:
		""""""
		...

	def IsWire(self) -> bool:
		""""""
		...

	def IsAtBorder(self) -> bool:
		""""""
		...

	def IsInternal(self) -> bool:
		""""""
		...

	def IsOriginInternal(self) -> bool:
		""""""
		...

	def IsLnextSharingSameFace(self, maxSize: int = 100) -> bool:
		""""""
		...

	def IsLnextOfTriangle(self) -> bool:
		""""""
		...

	def IsInOnextRing(self, arg0) -> bool:
		""""""
		...

	def IsInLnextRing(self, arg0) -> bool:
		""""""
		...

	def GetNextBorderEdgeWithUnsetLeft(self, edgeTest = ...):
		""""""
		...

	def InsertAfterNextBorderEdgeWithUnsetLeft(self, isol, hint = ...) -> bool:
		""""""
		...

	def ReorderOnextRingBeforeAddFace(self, second) -> bool:
		""""""
		...

	def IsOriginDisconnected(self) -> bool:
		""""""
		...

	def IsDestinationDisconnected(self) -> bool:
		""""""
		...

	def IsDisconnected(self) -> bool:
		""""""
		...

	def Disconnect(self) -> None:
		""""""
		...

	def SetIdent(self, User_Value: int) -> None:
		""""""
		...

	def GetIdent(self) -> int:
		""""""
		...

